[Deprecated]: V6.0
get
/ec-designer-ors-svc/rest/v6.0/studies/{studyId}/kits
Deprecated: Use latest version instead. Retrieves list of kits for all study versions in Testing, Approved and Archived states.
Request
Path Parameters
-
studyId(required): string(uuid)
Study unique identifier.
Query Parameters
-
kitType: string
Minimum Length:
3Maximum Length:9Optional. Kit category filter. Allowed values: standard = standard kits, device = device kits, titration = titration kits, all = all kit categories. Defaults to all when omitted.Default Value:allAllowed Values:[ "standard", "device", "titration", "all" ]Example:all -
mode(required): string
Minimum Length:
4Maximum Length:8Required. Study version mode filter. Allowed values: test = testing study versions, training = training study versions, active = active study versions.Allowed Values:[ "test", "training", "active" ]Example:active -
unblinded: boolean
Optional. Indicates whether unblinded kit fields should be included in the response. Defaults to false when omitted.Default Value:
falseExample:false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitsAllItemV6
Kit summary returned by the v6 get-all-kits endpoint.
Nested Schema : KitsAllItemV6
Type:
objectKit summary returned by the v6 get-all-kits endpoint.
Show Source
-
deviceConn: string
Minimum Length:
1Maximum Length:32Allowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Device connectivity type. Allowed values: CloudtoCloud = sync through an external cloud, DevicetoCloud = device sends data directly to the platform cloud, NoConnection = no connectivity is required.Example:DevicetoCloud -
deviceType: string
Minimum Length:
1Maximum Length:64Allowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Device type for device kits. Allowed values: ActivityWatch, BloodPressureMonitor, WeightScale, ECGReader, Spirometer, MobileApp, SmartPillBottle, PulseOximeter, WearablePatch, Other, GlucoseMonitor.Example:WeightScale -
distributionSetting: string
Minimum Length:
1Maximum Length:32Allowed Values:[ "BLINDED", "UNBLINDED", "UNBLINDEDPHARMAC" ]Distribution setting for the kit. Allowed values: BLINDED = treatment assignment remains hidden, UNBLINDED = treatment assignment is visible, UNBLINDEDPHARMAC = treatment assignment is visible for pharmacy-managed workflows.Example:UNBLINDED -
kitDescription: string
Minimum Length:
1Maximum Length:255Kit description displayed to study designers.Example:Standard treatment kit -
kitId: string
(uuid)
Minimum Length:
32Maximum Length:32Kit unique identifier. -
kitTypeId: string
Minimum Length:
1Maximum Length:64Kit type identifier.Example:KIT_STD_001 -
libraryKitId: string
(uuid)
Minimum Length:
32Maximum Length:32Library kit unique identifier when the kit is based on a library kit. -
poolingId: string
Minimum Length:
1Maximum Length:64Pooling identifier for pooled kit configurations.Example:POOL12 -
serialized: boolean
Indicates whether the kit is serialized.Example:
true -
titrationKit: boolean
Indicates whether the kit is configured as a titration kit.Example:
false -
trialSupplyType: string
Minimum Length:
1Maximum Length:32Allowed Values:[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Trial supply type for the kit. Allowed values: BLISTERPACK, BOTTLE, DEVICE, SYRINGE, OINTMENT, VIAL, INHALER, INFUSION, BOX, OTHER.Example:BOTTLE
Examples
500 Response
Returned when the service cannot retrieve kits for the supplied study and mode, or cannot apply the requested kitType and unblinded filters because of an unexpected server-side failure.
Nested Schema : details
Type:
objectExamples